﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="SalesByYearReport.aspx.cs" Inherits="ReportPages_AlphabeticalListOfProductsReport" %>

<%@ Register assembly="Microsoft.ReportViewer.WebForms, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" namespace="Microsoft.Reporting.WebForms" tagprefix="rsweb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Sales By Year Report</title>
    <style type="text/css">
        .style1
        {
            width: 68px;
        }
        .style3
        {
            width: 107px;
        }
        .style4
        {
            width: 122px;
        }
        </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>

        <a href="../Default.aspx">Home</a><br /><br />    
        <table style="width:100%;">
            <tr>
                <td class="style1">
                    Year:</td>
                <td class="style3">
                    <asp:TextBox ID="yearNumTextBox" runat="server" Width="83px">1997</asp:TextBox>
                </td>
                <td class="style4">
                    <asp:CheckBox ID="showDetailsCheckBox" runat="server" Text="Show Details:" 
                        TextAlign="Left" AutoPostBack="True" 
                        oncheckedchanged="showDetailsCheckBox_CheckedChanged1" Checked="True" />
                </td>
                <td>
                    <asp:Button ID="Button1" runat="server" Text="Refresh" Width="111px" 
                        onclick="Button1_Click" />
                </td>
            </tr>
        </table> 
        <br /><br />    
    </div>
        <rsweb:ReportViewer ID="ReportViewer1" runat="server" Font-Names="Verdana" 
            Font-Size="8pt" Height="641px" Width="707px">
            <LocalReport ReportPath="Reports\SalesByYearReport.rdlc">
                <DataSources>
                    <rsweb:ReportDataSource DataSourceId="AccessDataSource1" 
                        Name="SimpleReportsDataSet_SalesByYear" />
                </DataSources>
            </LocalReport>
        </rsweb:ReportViewer>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" 
            DataFile="~/App_Data/NorthwindNET.mdb" 
            DeleteCommand="DELETE FROM `Shipper` WHERE `ID` = ?" 
            InsertCommand="INSERT INTO `Shipper` (`ID`, `Name`, `Phone`) VALUES (?, ?, ?)" 
            SelectCommand="SELECT [Order].ShippedDate, OrderSubtotals.OrderID, OrderSubtotals.Subtotal, DatePart('q', [Order].ShippedDate) AS QuarterNum, DatePart('yyyy', [Order].ShippedDate) AS [Year] FROM ([Order] INNER JOIN (SELECT OrderID, Subtotal FROM udf_OrderSubTotals) OrderSubtotals ON [Order].ID = OrderSubtotals.OrderID)" 
            
            UpdateCommand="UPDATE `Shipper` SET `Name` = ?, `Phone` = ? WHERE `ID` = ?">
            <DeleteParameters>
                <asp:Parameter Name="ID" Type="Int32" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="ID" Type="Int32" />
                <asp:Parameter Name="Name" Type="String" />
                <asp:Parameter Name="Phone" Type="String" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="Name" Type="String" />
                <asp:Parameter Name="Phone" Type="String" />
                <asp:Parameter Name="ID" Type="Int32" />
            </UpdateParameters>
        </asp:AccessDataSource>
    </form>
</body>
</html>
