﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Northwind.NET.FE
{
    /// <summary>
    /// Keeps global constants and variables
    /// </summary>
    public sealed class Globals
    {
        /// <summary>
        /// Appllication Title
        /// </summary>
        public const string APPLICATION_TITLE = "Northwind Sample Application";
        /// <summary>
        /// Applocation version
        /// </summary>
        public const string APPLICATION_VERSION = "1.0";

        private static FrontEndNavigator _navigator = new FrontEndNavigator();
        /// <summary>
        /// Gets FrontEndNavigator singleton instanec reference
        /// </summary>
        public static FrontEndNavigator Navigator { get { return _navigator; }} 
    }
}
