﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Northwind.NET.EDM.FE.WinForms.Controls;

namespace Northwind.NET.EDM.FE.WinForms
{
    public partial class UserControlManagerForm : BaseApplicationForm
    {
        public UserControlManagerForm()
        {
            InitializeComponent();
        }

        private void UserControlManagerForm_Load(object sender, EventArgs e)
        {
            if (this.DesignMode) return;
            _mainPanel = this.mainPanel;

            this.WindowState = FormWindowState.Maximized;

            cmdCategories_Click(sender, e);
        }

        private void cmdCategories_Click(object sender, EventArgs e)
        {
            openChildFormInThisForm(this, ControlsFactory.ControlNames.CategoriesUserControlName);
        }

        private void cmdSuppliers_Click(object sender, EventArgs e)
        {
            openChildFormInThisForm(this, ControlsFactory.ControlNames.SuppliersUserControlName);
        }

        private void cmdProducts_Click(object sender, EventArgs e)
        {
            openChildFormInThisForm(this, ControlsFactory.ControlNames.ProductsUserControlName);
        }

        private void cmdOrders_Click(object sender, EventArgs e)
        {
            openChildFormInThisForm(this, ControlsFactory.ControlNames.OrdersUserControlName);
        }

        private void cmdEmployees_Click(object sender, EventArgs e)
        {
            openChildFormInThisForm(this, ControlsFactory.ControlNames.EmployeesUserControlName);
        }
        private void showCustomersButton_Click(object sender, EventArgs e)
        {
            openChildFormInThisForm(this, ControlsFactory.ControlNames.CustomersUserControlName);
        }
        private void cusomerPhoneListButton_Click(object sender, EventArgs e)
        {
            openChildFormInThisForm(this, ControlsFactory.ControlNames.CustomersPhoneListUserControlName);
        }
        private void cmdCustomerOrders_Click(object sender, EventArgs e)
        {
            openChildFormInThisForm(this, ControlsFactory.ControlNames.CustomerOrdersUserControlName);
        }
        private void quaterlyOrdersButton_Click(object sender, EventArgs e)
        {
            openChildFormInThisForm(this, ControlsFactory.ControlNames.QuarterlyOrdersUserControlName);
        }

        private void cmdPrintSalesReports_Click(object sender, EventArgs e)
        {
            openChildFormInThisForm(this, ControlsFactory.ControlNames.ReportViewingUserControlName);
        }
    }
}
