﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Northwind.NET.FE.Forms;
using Northwind.NET.FE.Reports;
 
namespace Northwind.NET.FE.zzzSamples
{
    public partial class SampleFormsAndReportsSwitchBoardForm : Form
    {
        public SampleFormsAndReportsSwitchBoardForm()
        {
            InitializeComponent();
        }

        private void openForm(System.Windows.Forms.Form form)
        {
            form.Show(); 
        }

        private void cmdCategoryProducts_Click(object sender, EventArgs e)
        {
            openForm(new CategoryProductsForm()); 
        }

        private void cmdShippersReport_Click(object sender, EventArgs e)
        {
            openForm(new ShippersReportForm());
        }

        private void cmdCustomerOrders_Click(object sender, EventArgs e)
        {
            openForm(new CustomerOrdersForm());
        }

        private void cmdEmployees_Click(object sender, EventArgs e)
        {
            openForm(new EmployeesForm());
        }

        private void showCustomersButton_Click(object sender, EventArgs e)
        {
            openForm(new CustomersForm());  
        }

        private void customersLabelsDialogButton_Click(object sender, EventArgs e)
        {
            openForm(new CustomersLabelsDialog());  
        }

        private void salesByYearButton_Click(object sender, EventArgs e)
        {
            openForm(new SalesByYearDialog());  
        }

        private void salesReportDialogButton_Click(object sender, EventArgs e)
        {
            openForm(new SalesReportsDialog());  

        }

        private void cusomerPhoneListButton_Click(object sender, EventArgs e)
        {
            openForm(new CustomerPhoneList ());  

        }

        private void quaterlyOrdersButton_Click(object sender, EventArgs e)
        {
            openForm(new QuarterlyOrderForm());  
        }

        private void alphabeticalLiustOfProductsButton_Click(object sender, EventArgs e)
        {
            openForm(new AlphabeticalListOfProductsReport()); 
        }

        private void productByCategoryButton_Click(object sender, EventArgs e)
        {
            openForm(new ProductByCategoryReport()); 

        }

        private void salesTotalsByAmountButton_Click(object sender, EventArgs e)
        {
            openForm(new SalesTotalsByAmountReport());  
        }

        //private void salesTotalsByAmount1Button_Click(object sender, EventArgs e)
        //{
        //    openForm(new SalesTotalsByAmountReport1());  
        //}

        private void summaryOfSalesByYearReportButton_Click(object sender, EventArgs e)
        {
            openForm(new SummaryOfSalesByYearReport());  
        }

        private void summaryOfSalesByQuarterReportButton_Click(object sender, EventArgs e)
        {
            openForm(new SummaryOfSalesByQuarterReport());  
        }

        private void customersLabelsReportButton_Click(object sender, EventArgs e)
        {
            openForm(new CustomersLabelsReport());  

        }

        private void catalogReportButton_Click(object sender, EventArgs e)
        {
            openForm(new CatalogReport());  
        }

        private void invoiceReportButton_Click(object sender, EventArgs e)
        {
            openForm(new InvoiceReport());  
        }

        private void employeSalesByCountryReportButton_Click(object sender, EventArgs e)
        {
            openForm(new EmployeeSalesByCountryReport());  
        }

        private void listOrdersSampleReportButton_Click(object sender, EventArgs e)
        {
            openForm(new ListOrdersReport());  
        }

        private void SalesAnalysisReportButton_Click(object sender, EventArgs e)
        {
            openForm(new SalesAnalysisReport());  
        }

        private void salesByYearReportButton_Click(object sender, EventArgs e)
        {
            openForm(new SalesByYearReport());  
        }

        private void salesByCategoryReportButton_Click(object sender, EventArgs e)
        {
            openForm(new SalesByCategoryReport()); 
        }


    }
}
