﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects;
using Northwind.NET.Model;

namespace Northwind.NET.Settings
{
    /// <summary>
    /// Keeps global constants and variables
    /// </summary>
    public sealed class Globals
    {
        /// <summary>
        /// Appllication Title
        /// </summary>
        public const string APPLICATION_TITLE = "Northwind WinForms Sample Application (ADO.NET EDM Version)";
        /// <summary>
        /// Applocation version
        /// </summary>
        public const string APPLICATION_VERSION = "2.1 (31-JAN-11)";

        public const string APPLICATION_CAPTION = APPLICATION_TITLE + " " + APPLICATION_VERSION;

        //private static FrontEndNavigator _navigator = new FrontEndNavigator();
        /// <summary>
        /// Gets FrontEndNavigator singleton instanec reference
        /// </summary>
        //public static FrontEndNavigator Navigator { get { return _navigator; } }

        public static bool HideStartUpForm
        {
            get
            {
                return Northwind.NET.Settings.Properties.Settings.Default.HideStartUpForm;
            }
            set
            {
                Northwind.NET.Settings.Properties.Settings.Default.HideStartUpForm = value;
                Northwind.NET.Settings.Properties.Settings.Default.Save();  
            }
        }

        public static NorthwindNETEntities CreateObjectContext()
        {
            return new Northwind.NET.Model.NorthwindNETEntities();
        }
    }
}