using System;
using System.Collections.Generic;
using System.Text;

namespace Northwind.NET.Utilities
{
    /// <summary>
    /// Assertion Exception
    /// </summary>
    public class AssertionException : ApplicationException
    {
        private string _message;
        /// <summary>
        /// Gets Exception message text
        /// </summary>
        public override string Message
        {
            get { return _message; }
        }
        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="message">Assertion execption message text</param>
        public AssertionException(string message)
        {
            _message = message;
        }
    }
}
